#include <stdio.h>
#include <system.h>
#include <inttypes.h>

#include "../device_test.h"
#include "../test_task.h"
#include "../../../software/signal_processing/system/binding.h"
#include "../../../software/signal_processing/system/task_add.h"
#include "../../data/sine.h"
#include "../../data/cosine.h"
#include "../../data/sine_cosine.h"

int main() {
    device_test( test_task, BINDING_HW, & ADD_SINE_COSINE_CONFIG, expected_sine, expected_cosine, expected_add_sine_cosine, 5e-2 );
    return 0;
}

